Customers
List customers
GET
apiKeyheader
AuthorizationBearer <token>An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.
limit?integerHow many to return
Range
1 <= value <= 100Default
25cursor?stringnextCursor from the previous page
q?stringText to look for in the name, email or your reference
Length
1 <= length <= 100priceListId?stringOnly customers charged from this list. Your default list also covers the customers with no list of their own
Success
application/json- response
Success
data*array<>nextCursor*|Pass as cursor for the next page. null on the last page
total*integerHow many match across every page
Range
0 <= valuecurl -X GET "https://example.com/v1/customers?priceListId=prl_01K6XJ4Q8ZT3M9R5V2B7WDHNCA"{ "data": [ { "id": "cus_01K6XJ4Q8ZT3M9R5V2B7WDHNCA", "email": "[email protected]", "name": "Jo Bloggs", "externalId": "crm-1042", "priceListId": null, "contractRules": 2, "addressLines": [ "1 Market Street", "San Francisco, CA 94105" ], "taxId": "12-3456789", "country": null, "region": null, "taxOverride": null, "taxIdCheck": null, "taxIdTrusted": true, "registrant": { "name": "Jo Bloggs", "organization": "Northwind Telecom", "email": "[email protected]", "phone": "+1 415 555 0132", "address": "1 Market Street", "city": "San Francisco", "state": "CA", "postalCode": "94105", "country": "US", "validation": "pending" }, "createdAt": "2026-10-07T11:04:31.000Z" } ], "nextCursor": null, "total": 1}